@import "./reset.css";

html, body {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* header */ 
header {
  width: 100%;
  height: 90px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  border-bottom: 1px solid #D5D5D5;
  position: fixed;
  top: 0;
  background: #FFF;
  z-index: 9999;
}
header div.area {
  width: 1200px;
  height: 90px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
header div.area span.logo {
  display: inline-block;
  width: 111px;
  height: auto;
}
header div.area span.logo img {
  width: 100%;
  height: auto;
}
header div.area div.menu {
  width: 754px;
  height: 100%;
}
header div.area div.menu ul.top {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
}
header div.area div.menu ul.top li {
  height: 100%;
  display: flex;
  align-items: center;
}
header div.area div.menu ul.top li a {
  color: #000000;
  font-size: 19px;
  letter-spacing: -0.38px;
  font-weight: 500;
  cursor: pointer;
}
header div.area div.menu ul.top li a.on {
  color: #00286E;
  font-weight: 700;
}
header div.area div.menu nav.menu-open {
  position: absolute;
  top: 90px;
  left: 0;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  height: 0px;
  transition: 0.5s ease-in-out;
}
header div.area div.menu:hover nav.menu-open {
  height: 250px;
  transition: 0.5s ease-in-out;
}
header div.area div.menu nav.menu-open div.menu-open__list {
  width: 754px;
  padding: 35px 0;
  display: flex;
  justify-content: space-between;
  visibility: hidden;
}
header div.area div.menu:hover nav.menu-open div.menu-open__list {
  visibility: visible;
}
header div.area div.menu nav.menu-open ul {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}
header div.area div.menu nav.menu-open ul li {
  color: #fff;
  text-align: center;
}
header div.area div.menu nav.menu-open ul li a {
  letter-spacing: -0.36px;
  color: #FFFFFF;
  opacity: 0;
  cursor: pointer;
  font-size: 18px;
  font-weight: 400;
  line-height: 20px;
}
header div.area div.menu:hover nav.menu-open ul li a {
  opacity: 1;
  transition: opacity 0s ease-out 0.5s;
}
header div.area div.menu nav.menu-open ul li:hover a,
header div.area div.menu nav.menu-open ul li.on a {
  color: #9BCAFF;
}

header div.area div.lanange {
  width: 106px;
  height: 33px;
}
header div.area div.lanange p {
  width: 100%;
  height: 100%;
  border: 1px solid #707070;
  border-radius: 17px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding-left: 15px;
}
header div.area div.lanange p i {
  margin-right: 10px;
}
header div.area div.lanange p span {
  font-family: 'NotoSans';
  font-size: 14px;
  color: #101010;
  font-weight: 500;
  height: 33px;
  line-height: 33px;
}
header div.menu-open {
  width: 100%;
  height: 250px;
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  top: 90px;
  z-index: 9999;
  display: flex;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}
header div.menu-open.open {
  opacity: 1;
  visibility: visible;
}
header div.menu-open div.menu-open__area {
  width: 754px;
  padding: 35px 0;
  display: flex;
  justify-content: space-between;
}
header div.menu-open ul {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}
header div.menu-open ul li {
  color: #fff;
  text-align: center;
}
header div.menu-open ul li a {
  letter-spacing: -0.36px;
  color: #FFFFFF;
  opacity: 1;
  cursor: pointer;
  font-size: 18px;
  font-weight: 400;
  line-height: 20px;
}
header div.menu-open ul li:hover a {
  color: #9BCAFF;
}
header div.area div.mo-btn,
header div.area div.mo__menu {
  display: none;
}

/* header */ 

footer {
  font-family: 'NotoSans';
  width: 100%;
  height: 210px;
  background: #333333;
  display: flex;
  justify-content: center;
  padding: 51px 0;
}
footer div.area {
  width: 1200px;
  display: flex;
  justify-content: flex-start;
}
footer div.area span.logo {
  display: inline-block;
  width: 111px;
  height: 49px;
  margin-right: 128px;
}
footer div.area span.logo img {
  width: 100%;
  height: auto;
}
footer div.area div.content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
footer div.area div.content p.company-info {
  font-family: 'NotoSans';
  color: #FFFFFF;
  font-size: 16px;
  line-height: 30px;
  font-weight: 400;
}
footer div.area div.content p.company-info span {
  display: inline;
  margin-right: 10px;
}
footer div.area div.content p.company-info strong {
  font-weight: 700;
}
footer div.area div.content p.copyright {
  font-family: 'NotoSans';
  color: #FFFFFF;
  font-weight: 300;
  font-size: 16px;
}

i.map {
  display: inline-block;
  width: 16.84px;
  height: 20.32px;
  background: url('../img/icon/icon_map.svg');
}
i.tel {
  display: inline-block;
  width: 19.96px;
  height: 19.96px;
  background: url('../img/icon/icon_tel.svg');
}
i.inqry {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url('../img/icon/icon_inqry.png') 0/100% no-repeat;
}
i.calculate_eff {
  display: inline-block;
  background: url('../img/icon/calculate_eff.svg');
}
i.good_hand {
  display: inline-block;
  background: url('../img/icon/good_hand.svg');
}
i.handshake {
  display: inline-block;
  background: url('../img/icon/handshake.svg');
}
i.safety {
  display: inline-block;
  background: url('../img/icon/safety.svg');
}
i.ship01 {
  display: inline-block;    
  background: url('../img/icon/icon_ship01.svg') center center/ 58px 58px no-repeat;
}
i.ship02 {
  display: inline-block;
  background: url('../img/icon/icon_ship02.svg') center center/ 53px 53px no-repeat;
}
i.ship03 {
  display: inline-block;
  background: url('../img/icon/icon_ship03.svg') center center/ 53px 53px no-repeat;
}
i.ship04 {
  display: inline-block;
  background: url('../img/icon/icon_ship04.svg') center center/ 58px 47px no-repeat;
}
i.ship01_transparent {
  display: inline-block;    
  width: 79px;
  height: 79px;
  background: url('../img/icon/icon_ship01_transparent.svg') no-repeat;
}
i.ship02_transparent {
  display: inline-block; 
  width: 79px;
  height: 79px;
  background: url('../img/icon/icon_ship02_transparent.svg') no-repeat;
}
i.ship03_transparent {
  display: inline-block;
  width: 79px;
  height: 78.3px;
  background: url('../img/icon/icon_ship03_transparent.svg') no-repeat;
}
i.ship04_transparent {
  display: inline-block;
  width: 79px;
  height: 64.64px;
  background: url('../img/icon/icon_ship04_transparent.svg') no-repeat;
}

i.check_black {
  display: inline-block;
  width: 15px;
  height: 14px;
  background: url('../img/icon/check_black.svg');
}
i.check_white {
  display: inline-block;
  width: 15px;
  height: 14px;
  background: url('../img/icon/check_white.svg');
}
i.icon_earth {
  display: inline-block;
  width: 19.35px;
  height: 19.35px;
  background: url('../img/icon/icon_earth.svg');
}


i.icon_email {
  display: inline-block;
  width: 25.52px;
  height: 18.55px;
  background: url('../img/icon/icon_email.svg');
}
i.icon_fax {
  display: inline-block;
  width: 25.05px;
  height: 25.05px;
  background: url('../img/icon/icon_fax.svg');
}
i.icon_tel2 {
  display: inline-block;
  width: 21.36px;
  height: 30.08px;
  background: url('../img/icon/icon_tel2.svg');
}
i.icon_car {
  display: inline-block;
  width: 25.52px;
  height: 20.42px;
  background: url('../img/icon/icon_car.svg');
}
i.icon_close {
  display: inline-block;
  width: 35px;
  height: 35px;
  background: url('../img/icon/icon_close.png');
}
i.icon_arrow_down {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url('../img/icon/icon_arrow_down02.png') 0/100% no-repeat;
}
i.icon_arrow_up {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url('../img/icon/icon_arrow_down02_on.png') 0/100% no-repeat;
}
i.icon_arrow_down_sub {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url('../img/icon/icon_arrow_down03.png') 0/100% no-repeat;
}
i.icon_arrow_up_sub {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url('../img/icon/icon_arrow_down03_on.png') 0/100% no-repeat;
}

#view-dim,
#view-dim-mo,
#view-dim-mo.open {
  width: 100%;
  height: 100%;
  background: rgb(0, 0, 0, 0.5);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 20;
  display: none;
}
#view-dim.open {
  display: block;
}

#scrollTop {
  width: 52px;
  height: 52px;
  position: fixed;
  right: 30px;
  bottom: 30px;
  z-index: 20;
  cursor: pointer;
  background: url('../img/icon/icon_move_top.svg') 0/cover no-repeat;
  display: none;
}
#scrollTop.on {
  display: block;
}

#loading {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: rgb(0,0,0,0.3);
  z-index: 9999;
  display: none;
  justify-content: center;
  align-items: center;
}
#loading.on {
  display: flex;
}

@media screen and (max-width: 1200px) {
  #view-dim-mo.open {
    display: block;
  }
  #scrollTop.on {
    display: none;
  }
  /* header */ 
  header div.area span.logo {
    margin-left: 20px;
  }
  header div.area div.menu,
  header div.area div.lanange {
    display: none;
  }
  
  header div.area div.mo-btn {
    display: block;
    position: absolute;
    top: 50%;
    right: 30px;
    transform: translateY(-50%);
    height: 27px;
  }
  header div.area div.mo-btn i {
    display: inline-block;
    width: 32px;
    height: 27px;
    background: url(../img/icon/icon_m_open.png) 0 / 100% 100% no-repeat;
    cursor: pointer;
  }
  header div.area div.mo__menu {
    width: 80%;
    max-width: 400px;
    height: 100%;
    background: #FFF;
    position: fixed;
    right: -80%;
    top: 0;
    transition: 0.6s ease-out;
    border-left: 1px solid #000;
    z-index: 9999;
    display: block;
  }
  header div.area div.mo__menu.open {
    right: 0;
    transition: 0.6s ease-in-out;
  }
  header div.area div.mo__menu span.mo-close,
  header div.area div.mo__menu ul {
    display: none;
  }
  header div.area div.mo__menu.open span.mo-close {
    display: inline-flex;
    width: 100%;
    height: 90px;
    justify-content: flex-end;
    align-items: center;
    padding-right: 30px;
  }
  header div.area div.mo__menu.open span.mo-close i {
    cursor: pointer;
  }
  header div.area div.mo__menu.open ul {
    display: block;
    width: 100%;
    height: calc(100% - 90px);
    overflow-y: scroll;
  }
  header div.area div.mo__menu.open ul::-webkit-scrollbar {
    display: none;
  }
  header div.area div.mo__menu.open ul li {
    width: 100%;
    height: auto;
    border-bottom: 1px solid #D5D5D5;
    position: relative;
    cursor: pointer;
  }
  header div.area div.mo__menu.open ul li:first-child {
    border-top: 1px solid #D5D5D5;
  }
  header div.area div.mo__menu.open ul li p {
    width: 100%;
    height: 100%;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 30px;
  }
  header div.area div.mo__menu.open ul li p span {
    font-size: 18px;
    color: #000;
    font-weight: 700;
    cursor: pointer;
  }
  header div.area div.mo__menu.open ul li ul.sub {
    padding: 10px 0 10px 40px;
    display: none;
  }
  header div.area div.mo__menu.open ul li ul.sub li {
    padding: 10px 0;
    border-top: 0;
    border-bottom: 0;
  }
  /* header div.area div.mo__menu.open ul li.open p {
    background: #ebebeb;
  } */
  header div.area div.mo__menu.open ul li.open ul.sub {
    display: block;
    background: #efefef;
  }
  header div.area div.mo__menu.open ul li p i.icon_arrow_up,
  header div.area div.mo__menu.open ul li.open p i.icon_arrow_down {
    display: none;
  }
  header div.area div.mo__menu.open ul li.open p i.icon_arrow_up,
  header div.area div.mo__menu.open ul li p i.icon_arrow_down {
    display: block;
  }
  /* header */ 

  /* footer */ 
  footer {
    height: 150px;
    padding: 20px;
  }
  footer div.area {
    width: 100%;
    justify-content: space-between;
  }
  footer div.area span.logo {
    margin-right: 0;
  }
  footer div.area div.content {
    width: calc(100% - 141px);
    margin-left: 30px;
  }
  /* footer */ 
}

@media screen and (max-width: 720px) {
  footer div.area div.content p.company-info {
    font-size: 14px;
    line-height: 20px;
  }
  footer div.area div.content p.company-info span {
    display: inline-block;
    margin-right: 10px;
  }
  footer div.area div.content p.copyright {
    font-size: 12px;
  }
}

@media screen and (max-width: 570px) {
  header {
    height: 70px;
  }
  header div.area {
    height: 70px;
  }
  header div.area span.logo {
    width: 100px;
  }
}